using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public class FileContainerNotFoundException : InternalFileException
    {
        public FileContainerNotFoundException(String containerName, String containerDisplayName)
            : base(containerName,
                containerDisplayName,
                Resources.Resource.GetLocalizedString("Message_ContainerNotFound", containerName)) { }
    }
}
