using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public class FileNotFoundException : InternalFileException
    {
        public FileNotFoundException(String fileName, String fileDisplayName)
            : base(fileName,
                fileDisplayName,
                Resources.Resource.GetLocalizedString("Message_FileNotFound", fileName)) { }
    }
}
