using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public enum FileOperation
    {
        Add,
        Import,
        Move,
        Copy,
        Remove
    }


    public class FileOperationNotSupportedException : InternalFileException
    {
        public FileOperationNotSupportedException(String fileName, String fileDisplayName, FileOperation operation)
            : base(fileDisplayName,
                fileDisplayName,
                Resources.Resource.GetLocalizedString("Message_FileOperationNotSupported", operation.ToString(), fileName)) { }
    }
}
