using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LineCounter.Application.UI.OptionsPages
{
    public class FileFilterPage : FilterPageBase
    {
        public FileFilterPage()
            : base("FileFilter") { }

        public override void ApplyChanges()
        {
            ApplicationRuntimeSettings.FileSearchFilterType = FilterType;
            ApplicationRuntimeSettings.FileSearchPatterns = SearchPatterns;
        }

        public override void ResetOptions()
        {
            FilterType = ApplicationRuntimeSettings.FileSearchFilterType;
            SearchPatterns = ApplicationRuntimeSettings.FileSearchPatterns;
        }
    }
}

