using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application.UI.OptionsPages
{
    public class FolderFilterPage : FilterPageBase
    {
        public FolderFilterPage()
            : base("FolderFilter") { }

        public override void ApplyChanges()
        {
            ApplicationRuntimeSettings.FolderSearchFilterType = FilterType;
            ApplicationRuntimeSettings.FolderSearchPatterns = SearchPatterns;
        }

        public override void ResetOptions()
        {
            FilterType = ApplicationRuntimeSettings.FolderSearchFilterType;
            SearchPatterns = ApplicationRuntimeSettings.FolderSearchPatterns;
        }
    }
}
