using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter
{
    public abstract class CounterOptions
    {
        private CountLevel _countLevel;
        private bool _keepOutlineAfterCounting;


        public CounterOptions()
        {
            this.CountLevel = CountLevel.EnableFilter;
        }


        public CountLevel CountLevel
        {
            get { return _countLevel; }
            set { _countLevel = value; }
        }

        public bool KeepOutlineAfterCounting
        {
            get { return _keepOutlineAfterCounting; }
            set { _keepOutlineAfterCounting = value; }
        }
    }
}
