using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Files
{
    public class FileContainerCountResult : CountResult
    {
        private long _lines;


        public FileContainerCountResult(Int64 lines)
            : base(-1, lines, CountLevel.DisableFilter)
        {
            _lines = lines;
        }


        public new long Lines
        {
            get { return _lines; }
            set { _lines = value; }
        }
    }
}
