using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter
{
    public interface IFile : INamedObject, ICountable
    {
        String FullName { get; }
        String FullNameDisplayText { get; }
        FileContentType ContentType { get; }
        IFileContainer Container { get; set; }
        String Address { get;set;}
        FileLocation Location { get; set; }
        FileType Type { get; }
    }
}
