using System;
using System.Collections.Generic;
using System.Text;

namespace ProjectLineCounter
{
    internal struct CounterResult
    {
        private long _length;
        private long _lines;
        private string _fileName;
        private string _fullName;


        internal CounterResult(long length, long lines, string fileName, string fullName)
        {
            this._length = length;
            this._lines = lines;
            this._fileName = fileName;
            this._fullName = fullName;
        }

        public string FullName
        {
            get { return _fullName; }
        }

        public string FileName
        {
            get { return _fileName; }
        }

        public long Lines
        {
            get { return _lines; }
        }

        public long Length
        {
            get { return _length; }
        }
    }
}
