using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public struct CommandText
    {
        private String _mainMenu;
        private String _folderListContextMenu;
        private String _fileListContextMenu;
        private String _commandBar;


        public CommandText(String all)
        {
            _mainMenu = all;
            _commandBar = all;
            _folderListContextMenu = all;
            _fileListContextMenu = all;
        }

        public CommandText(String mainMenu, String folderListContextMenu, String fileListContextMenu, String commandBar)
        {
            _mainMenu = mainMenu;
            _commandBar = commandBar;
            _folderListContextMenu = folderListContextMenu;
            _fileListContextMenu = fileListContextMenu;
        }


        public String All
        {
            get 
                {
                    if(_mainMenu == _folderListContextMenu && _mainMenu == _fileListContextMenu && _mainMenu == _commandBar)
                    {
                        return _mainMenu;
                    }
                    else
                    {
                        return null;
                    }
                }
                set
                {
                    _mainMenu = value;
                    _commandBar = value;
                    _folderListContextMenu = value;
                    _fileListContextMenu = value; 
                }
            }

            public String MainMenu
            {
                get { return _mainMenu; }
                set { _mainMenu = value; }
            }

            public String FolderListContextMenu
            {
                get { return _folderListContextMenu; }
                set { _folderListContextMenu = value; }
            }

            public String FileListContextMenu
            {
                get { return _fileListContextMenu; }
                set { _fileListContextMenu = value; }
            }

            public String CommandBar
            {
                get { return _commandBar; }
                set { _commandBar = value; }
            }
        }
}
