using System;
using System.Collections.Generic;
using System.Text;
using LineCounter.Application;

namespace LineCounter
{
    public class CommonFileActionEventArgs : EventArgs
    {
        private IFile _file;
        private FileAction _action;


        public CommonFileActionEventArgs(IFile file, FileAction action)
        {
            _file = file;
            _action = action;
        }


        public IFile File
        {
            get { return _file; }
        }

        public FileAction Actions
        {
            get { return _action; }
        }
    }
}
