using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public struct CounterChooserResult
    {
        private Boolean _applyToTheSameExtension; 
        private CounterItem _selectedCounterItem;


        public CounterChooserResult(Boolean applyToTheSameExtension, CounterItem selectedCounterItem)
        {
            _applyToTheSameExtension = applyToTheSameExtension;
            _selectedCounterItem = selectedCounterItem;
        }


        public Boolean ApplyToTheSameExtension
        {
            get { return _applyToTheSameExtension; }
        }

        public CounterItem SelectedCounterItem
        {
            get { return _selectedCounterItem; }
        }
    }
}
