using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Application
{
    public class FileCopyEventArgs : EventArgs
    {
        private IFile _source;
        private IFile _file;


        public FileCopyEventArgs(IFile source, IFile file)
        {
            _source = source;
            _file = file;
        }


        public IFile Source
        {
            get { return _source; }
        }

        public IFile File
        {
            get { return _file; }
        }

    }
}
