using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace LineCounter.Application
{
    public static class FileLauncher
    {
        public static void Lunch(IFile file)
        {
            if (file == null)
            {
                throw new ArgumentNullException("file");
            }

            switch (file.Location)
            {
                case FileLocation.Local:
                    {
                        Process.Start(file.Address);
                        break;
                    }
            }
        }

        public static void Lunch(string command)
        {
            Process.Start(command);
        }
    }
}
