﻿using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter.Counters
{
    public class GeneralCounterOptions : CounterOptions
    {
        private LineCounter.Counters.Properties.Settings _settings;


        internal GeneralCounterOptions(LineCounter.Counters.Properties.Settings settings)
        {
            _settings = settings;
        }



        /// <summary>
        /// Gets or sets whether the blank lines will be added into result.
        /// </summary>
        public Boolean IncludeBlanks
        {
            get { return _settings.General_IncludeBlanks; }
            set { _settings.General_IncludeBlanks = value; }
        }

    }
}
