using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter
{
    public class CounterNotFoundException : CounterException
    {
        private String _extension;


        public CounterNotFoundException(String extension)
            : base(Resources.Resource.GetLocalizedString("Message_CounterNotFound", extension))
        {
            _extension = extension;
        }


        public String Extension
        {
            get { return _extension; }
        }

    }
}
