using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter
{
    public class FileExistsException : InternalFileException
    {
        public FileExistsException(String fileName, String fileDisplayName)
            : base(fileName,
                fileDisplayName,
                Resources.Resource.GetLocalizedString("Message_FileAlreadyExists", fileName)) { }
    }
}
