using System;
using System.Collections.Generic;
using System.Text;

namespace LineCounter
{
    public class FileOutline
    {
        private FileElementCollection _elements;
        private String _fileName;
        private Int32 _startLine;
        private Int32 _count;


        public FileOutline()
        {
            _elements = new FileElementCollection();
        }

        public FileOutline(FileElementCollection elements)
            :this()
        {
            _elements.AddRange(elements);
        }


        public FileElementCollection Elements
        {
            get { return _elements; }
            set { _elements = value; }
        }

        public String FileName
        {
            get { return _fileName; }
            set { _fileName = value; }
        }

        public Int32 StartLine
        {
            get { return _startLine; }
            set { _startLine = value; }
        }

        public Int32 Count
        {
            get { return _count; }
            set { _count = value; }
        }
    }
}
